import QtQuick 2.6
import QtQuick.Layouts 1.3
import QtQuick.Controls 2.5

import org.ukui.panel.core 1.0

Item {
    id: root
    visible: true

    RowLayout {
        id : captionRow
        spacing : 8
        anchors.fill: parent
        Layout.preferredHeight: root.height
        Layout.fillWidth: true

        Rectangle {
            id : iconItem
            Layout.leftMargin: 0
            height : 24
            width : 32
            color : "transparent"
            visible : true
            IconTheme{
                anchors.fill : parent
                icon : waylandPreview.getWindowIcon()
            }
        }
        Label {
            id : caption
            elide : Text.ElideRight
            Layout.fillWidth : true
            height : parent.height
            text : waylandPreview.getWindowTitle()
            font.pixelSize: 12
        }
        Button {
            id : closebutton
            Layout.preferredHeight: 19
            Layout.preferredWidth: 19
            Layout.rightMargin: 8
            visible : true
            background: Rectangle {
            color: "transparent"
            }
            IconTheme {
                anchors.fill : parent
                iconName : "window-close-symbolic"
            }
        }
    }
}

