import QtQuick 2.6
import QtQuick.Layouts 1.1
import QtGraphicalEffects 1.0
import QtQml.Models 2.2

import org.ukui.panel.core 1.0

Item {
    id: root
    signal sendUuid(string uuid)
    signal enterWlPreview()
    signal leaveWlPreview()
    signal sendRightButtonClicked(string uuid)

    anchors.fill: parent
    visible: true
    activeFocusOnTab: true
    focus: true
    enabled: true

    ColumnLayout {
        id : previewLayout
        spacing : 0
        anchors.fill : parent

        TitleComponent {
            height: 40
            Layout.fillWidth: true
            visible: true
        }

        Item {
            id : previewArea
            Layout.fillWidth: true
            Layout.fillHeight: true
            property bool  isHidden: waylandPreview.isWindowHide
            onIsHiddenChanged: {
                if (waylandPreview.isWindowHide) {
                    waylandThumbnail.windowUuid = ""
                }
            }
            //Wayland环境下 缩略图
            PipeWireThumbnail{
                id: waylandThumbnail
                objectName: "waylandThumbnail"
                windowUuid: waylandThumbnail.windowUuid
                onWindowUuidChanged: console.debug("onWindowUuidChanged windowUuid is ", waylandThumbnail.windowUuid)
                Component.onCompleted: {
                            console.debug(" windowUuid is ", waylandThumbnail.windowUuid)
                }
            }
        }
    }

    MouseArea {
        anchors.fill: parent
        acceptedButtons: Qt.LeftButton | Qt.RightButton
        onClicked: {
            // TODO:
            if (mouse.button == Qt.LeftButton) {
                console.log("left mouse button");
                root.sendUuid(waylandThumbnail.windowUuid)
            }
            if (mouse.button == Qt.RightButton) {
                console.log("right mouse button");
                root.sendRightButtonClicked(waylandThumbnail.windowUuid)
            }
        }

        onExited: {
            console.log("leave qml..");
            root.leaveWlPreview()
        }

        //ljlj 只在光标进入后执行一次
        hoverEnabled: true
        onEntered: {
            console.log("enter qml..");
            console.debug("temp_width=",root.width);
            console.debug("temp_height=",root.height);
            root.enterWlPreview()
        }
    }
}


